## perlkde 4.14.2

=== akonadi/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Akonadi.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Akonadi.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} Akonadi.xs ${CMAKE_CURRENT_BINARY_DIR}/Akonadi.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Akonadi.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Akonadi.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/Akonadi.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(akonadi_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Akonadi.c
    akonadihandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/Akonadi)
add_library(perl_akonadi MODULE ${akonadi_LIBRARY_SRC})

target_link_libraries(perl_akonadi
    ${SMOKE_AKONADI_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_akonadi PROPERTIES OUTPUT_NAME "Akonadi")
set_target_properties(perl_akonadi PROPERTIES PREFIX "")

install(TARGETS perl_akonadi DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/Akonadi/)

=== akonadi/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_akonadi_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== attica/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Attica.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Attica.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} Attica.xs ${CMAKE_CURRENT_BINARY_DIR}/Attica.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Attica.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Attica.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/Attica.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(attica_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Attica.c
    atticahandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/Attica)
add_library(perl_attica MODULE ${attica_LIBRARY_SRC})

target_link_libraries(perl_attica
    ${SMOKE_ATTICA_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_attica PROPERTIES OUTPUT_NAME "Attica")
set_target_properties(perl_attica PROPERTIES PREFIX "")

install(TARGETS perl_attica DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/Attica/)

=== kate/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Kate.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Kate.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} Kate.xs ${CMAKE_CURRENT_BINARY_DIR}/Kate.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Kate.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Kate.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/Kate.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(kate_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Kate.c
    katehandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/Kate)
add_library(perl_kate MODULE ${kate_LIBRARY_SRC})

target_link_libraries(perl_kate
    ${SMOKE_KATE_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_kate PROPERTIES OUTPUT_NAME "Kate")
set_target_properties(perl_kate PROPERTIES PREFIX "")

install(TARGETS perl_kate DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/Kate/)

=== kdeui/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_kdeui4_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== kdevplatform/lib/CMakeLists.txt ===
add_custom_target(kdevplatformpm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KDevPlatform.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KDevPlatform.pm)
install(FILES KDevPlatform.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== kfile/lib/CMakeLists.txt ===
add_custom_target(kfilepm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KFile.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KFile.pm)
install(FILES KFile.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== khtml/lib/CMakeLists.txt ===
add_custom_target(khtmlpm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KHTML.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KHTML.pm)
install(FILES KHTML.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== khtml/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KHTML.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KHTML.xs ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KHTML.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KHTML.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(khtml_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KHTML.c
    khtmlhandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KHTML)
add_library(perl_khtml MODULE ${khtml_LIBRARY_SRC})

target_link_libraries(perl_khtml
    ${SMOKE_KHTML_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_khtml PROPERTIES OUTPUT_NAME "KHTML")
set_target_properties(perl_khtml PROPERTIES PREFIX "")

install(TARGETS perl_khtml DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KHTML/)

=== knewstuff3/lib/CMakeLists.txt ===
add_custom_target(knewstuff3pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KNewStuff3.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KNewStuff3.pm)
install(FILES KNewStuff3.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== ktexteditor/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KTextEditor.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KTextEditor.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KTextEditor.xs ${CMAKE_CURRENT_BINARY_DIR}/KTextEditor.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KTextEditor.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KTextEditor.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KTextEditor.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(ktexteditor_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KTextEditor.c
    ktexteditorhandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KTextEditor)
add_library(perl_ktexteditor MODULE ${ktexteditor_LIBRARY_SRC})

target_link_libraries(perl_ktexteditor
    ${SMOKE_KTEXTEDITOR_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_ktexteditor PROPERTIES OUTPUT_NAME "KTextEditor")
set_target_properties(perl_ktexteditor PROPERTIES PREFIX "")

install(TARGETS perl_ktexteditor DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KTextEditor/)

=== nepomukquery/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on NepomukQuery.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/NepomukQuery.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} NepomukQuery.xs ${CMAKE_CURRENT_BINARY_DIR}/NepomukQuery.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/NepomukQuery.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build NepomukQuery.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/NepomukQuery.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(nepomukquery_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/NepomukQuery.c
    nepomukqueryhandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/NepomukQuery)
add_library(perl_nepomukquery MODULE ${nepomukquery_LIBRARY_SRC})

target_link_libraries(perl_nepomukquery
    ${SMOKE_NEPOMUKQUERY_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_nepomukquery PROPERTIES OUTPUT_NAME "NepomukQuery")
set_target_properties(perl_nepomukquery PROPERTIES PREFIX "")

install(TARGETS perl_nepomukquery DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/NepomukQuery/)

=== debian/changelog ===
perlkde (4:4.14.2-0ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Dec 2015 04:02:11 +0000

perlkde (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libsmokebase3v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 08:47:27 +0200

perlkde (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:47:02 -0700

=== debian/control ===
Source: perlkde
Section: perl
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,               
               debhelper (>= 9~),
               kdelibs5-dev (>= 4:4.14.2),
               kdepimlibs5-dev,
               libakonadi-dev,
               libattica-dev,
               libgdbm-dev,
               libperl-dev,
               libsmokekde-dev (>= 4:4.14.2),
               okular-dev (>= 4:4.14.2),
               perlqt-dev (>= 4:4.9.2),
               pkg-kde-tools (>= 0.12),
               smoke-dev-tools,
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde

Package: libkdecore4-perl
Architecture: any
Depends: libqtcore4-perl, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl bindings for the KDE Core library
 This package contains perl bindings for the KDE Core library.
 .
 It enables the use of KDE applications written in perl. For more details
 see the libkdecore5 package.
 .
 This Package is part of the PerlKDE module.

Package: libakonadi-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Akonadi
 This package contains perl bindings for the Akonadi PIM storage service.
 .
 This Package is part of the PerlKDE module.

Package: libsolid-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Solid
 This package contains perl bindings for the Solid device integration
 framework.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff2-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff2
 This package contains perl bindings for the "Get Hot New Stuff" v2 Library.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff3-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff3
 This package contains perl bindings for the "Get Hot New Stuff" v3 Library.
 .
 This Package is part of the PerlKDE module.

Package: libkparts-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform Graphical Components
 This package contains perl bindings for the framework for reusable KDE
 components (kparts).
 .
 This Package is part of the PerlKDE module.

Package: libkio4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KIO4
 This package contains perl bindings for the Network-enabled File Management
 Library.
 .
 This Package is part of the PerlKDE module.

Package: libkutils-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for various KDE utility classes
 This package contains perl bindings for ksettings, kemoticons, kcm, kprint
 and kplugin utils.
 .
 This Package is part of the PerlKDE module.

Package: libkhtml-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KHTML
 This package contains perl bindings for the KHTML Web Content Rendering
 Engine.
 .
 This Package is part of the PerlKDE module.

Package: libplasma4-perl
Architecture: any
Depends: libkdeui4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Plasma
 This package contains perl bindings for the Plasma library.
 .
 This Package is part of the PerlKDE module.

Package: libktexteditor-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KTextEditor
 This package contains perl bindings for the KTextEditor interfaces.
 .
 This Package is part of the PerlKDE module.

Package: libkdeui4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         libqtgui4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform User Interface Library
 This package contains perl bindings for the KDE Platform User Interface
 Library which provides standard user interface elements for use in
 KDE Applications.
 .
 This Package is part of the PerlKDE module.

Package: libokular-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Okular
 This package contains perl bindings for the Okular document reader.
 .
 This Package is part of the PerlKDE module.

Package: libattica-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Attica
 This package contains perl bindings for the Attica library, a Qt library that
 implements the Open Collaboration Services API.
 .
 This Package is part of the PerlKDE module.

Package: libkfile-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Kfile library
 This package contains perl bindings for the File Selection Dialog Library for
 the KDE Platform.
 .
 This Package is part of the PerlKDE module.

Package: perlkde-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokekde4-dbg
Suggests: libakonadi-perl (= ${binary:Version}),
          libattica-perl (= ${binary:Version}),
          libkdeui4-perl (= ${binary:Version}),
          libkfile-perl (= ${binary:Version}),
          libkhtml-perl (= ${binary:Version}),
          libkio4-perl (= ${binary:Version}),
          libknewstuff2-perl (= ${binary:Version}),
          libknewstuff3-perl (= ${binary:Version}),
          libkparts-perl (= ${binary:Version}),
          libktexteditor-perl (= ${binary:Version}),
          libkutils-perl (= ${binary:Version}),
          libokular-perl (= ${binary:Version}),
          libplasma4-perl (= ${binary:Version}),
          libsolid-perl (= ${binary:Version})          
Description: Debugging symbols for the KDE Perl bindings.
 This package contains debugging symbols for the perl bindings for the KDE
 libraries.
 .
 This Package is part of the PerlKDE module.
